src/fvm/fvm_box_tree.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
fvm_box_tree.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <limits.h>`
`#include <math.h>`
`#include <string.h>`
`#include "bft_mem.h"`
`#include "bft_printf.h"`
`#include "fvm_box_priv.h"`
`#include "fvm_box_tree.h"`
Include dependency graph for fvm_box_tree.c:

## Macros
#define | FVM_BOX_TREE_MAX_BUILD_LOOPS 50

## Functions
fvm_box_tree_t * | fvm_box_tree_create (int max_level, int threshold, float max_box_ratio)
void | fvm_box_tree_destroy (fvm_box_tree_t **bt)
int | fvm_box_tree_get_max_level (const fvm_box_tree_t *bt)
void | fvm_box_tree_set_boxes (fvm_box_tree_t *bt, const fvm_box_set_t *boxes, fvm_box_tree_sync_t build_type)
void | fvm_box_tree_get_intersects (fvm_box_tree_t *bt, const fvm_box_set_t *boxes, cs_lnum_t *box_index[], cs_gnum_t *box_g_num[])
int | fvm_box_tree_get_stats (const fvm_box_tree_t *bt, int depth[3], cs_lnum_t n_leaves[3], cs_lnum_t n_boxes[3], cs_lnum_t n_threshold_leaves[3], cs_lnum_t n_leaf_boxes[3], size_t mem_used[3], size_t mem_allocated[3])
void | fvm_box_tree_dump_statistics (const fvm_box_tree_t *bt)
void | fvm_box_tree_dump (fvm_box_tree_t *bt)

## Macro Definition Documentation

#define FVM_BOX_TREE_MAX_BUILD_LOOPS 50

## Function Documentation

fvm_box_tree_t* fvm_box_tree_create | ( | int | max_level,
|  | int | threshold,
|  | float | max_box_ratio
| ) |  |

void fvm_box_tree_destroy | ( | fvm_box_tree_t ** | bt | ) |

void fvm_box_tree_dump | ( | fvm_box_tree_t * | bt | ) |

void fvm_box_tree_dump_statistics | ( | const fvm_box_tree_t * | bt | ) |

void fvm_box_tree_get_intersects | ( | fvm_box_tree_t * | bt,
|  | const fvm_box_set_t * | boxes,
|  | cs_lnum_t * | box_index[],
|  | cs_gnum_t * | box_g_num[]
| ) |  |

int fvm_box_tree_get_max_level | ( | const fvm_box_tree_t * | bt | ) |

int fvm_box_tree_get_stats | ( | const fvm_box_tree_t * | bt,
|  | int | depth[3],
|  | cs_lnum_t | n_leaves[3],
|  | cs_lnum_t | n_boxes[3],
|  | cs_lnum_t | n_threshold_leaves[3],
|  | cs_lnum_t | n_leaf_boxes[3],
|  | size_t | mem_used[3],
|  | size_t | mem_allocated[3]
| ) |  |

void fvm_box_tree_set_boxes | ( | fvm_box_tree_t * | bt,
|  | const fvm_box_set_t * | boxes,
|  | fvm_box_tree_sync_t | build_type
| ) |  |